Đến nội dung


Hình ảnh
- - - - -

[ xin lisp ] đổi chiều đối tượng ( đường cong , thẳng , gấp khúc )


  • Please log in to reply
48 replies to this topic

#21 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 25 October 2012 - 08:35 PM

Bạn có nhầm với 1 lệnh RV nào trùng tên với 1 lệnh của 1 lisp nào cài sẵn không đó?
Trong lisp này không có 2 dòng như bạn nói là:
Select objects:
Delta <1>:
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#22 traigtmientay

traigtmientay

    biết vẽ arc

  • Members
  • PipPip
  • 48 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 October 2012 - 08:56 PM

muốn kiểm tra lệnh trùng thỉ phải làm thế nào bác nhỉ . dò lại từng lisp mình có thì hơi mất thời gian . có cách nào nhanh hơn ko bác
  • 0

#23 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 25 October 2012 - 09:03 PM

Vậy là tôi đoán bậy mà trúng tới... 100% :lol:
Cách hay nhất là bạn lấy cái lisp vừa down đó, tìm đến dòng có chữ C:RV.
Sau đó bạn sửa thành C:OBAMA là được.
Khi dùng thì đánh lệnh OBAMA.
Không thích OBAMA thì sửa là ROMEY. v.v... và v.v...
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#24 traigtmientay

traigtmientay

    biết vẽ arc

  • Members
  • PipPip
  • 48 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 October 2012 - 09:36 PM

thôi thì e tìm anh BINLADEN cũng dc . keke . thanh các bác .
tiện đây cho e hỏi tí e có cái lisp tạo style mới nhưng e sửa bằng cách copy 1 lần nữa xuống dưới để tạo mấy font cùng lúc nhưng ko dc . bác chỉ hộ e cách sửa cái .
thêm bớt đoạn code nào vào để tạo liên tục bằng lệnh : TAOC1 , TAOC2 ..... bác nhỉ . thank

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/index.php?showtopic=143
(defun c:TaoC()
(command "style" "VnArial NarrowH" ".VnArial NarrowH" "" "" "" "" "")
(princ)
)


  • 0

#25 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 25 October 2012 - 09:46 PM

thôi thì e tìm anh BINLADEN cũng dc . keke . thanh các bác .
tiện đây cho e hỏi tí e có cái lisp tạo style mới nhưng e sửa bằng cách copy 1 lần nữa xuống dưới để tạo mấy font cùng lúc nhưng ko dc . bác chỉ hộ e cách sửa cái .
thêm bớt đoạn code nào vào để tạo liên tục bằng lệnh : TAOC1 , TAOC2 ..... bác nhỉ . thank


;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/index.php?showtopic=143
(defun c:TaoC()
(command "style" "VnArial NarrowH" ".VnArial NarrowH" "" "" "" "" "")
(princ)
)

Ví dụ, tạo thêm 2 sytle nữa thành 3 sytle.

(defun c:TaoC()
(command "style" "VnArial NarrowH" ".VnArial NarrowH" "" "" "" "" "") ;dong co san
(command "style" "VnArial NarrowH" ".VnArial NarrowH" "" "" "" "" "") ;sua dong nay
(command "style" "VnArial NarrowH" ".VnArial NarrowH" "" "" "" "" "") ;sua dong nay
(princ)
)

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#26 traigtmientay

traigtmientay

    biết vẽ arc

  • Members
  • PipPip
  • 48 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 October 2012 - 10:11 PM

hihi e thề với bác là e thích like nhất . nhưng hôm nay chạy sô nhiều quá quên mất . cái đó là 1 lệnh tạo cả thế có cách nào từng lệnh tạo từng kiểu ko bác nhỉ .
  • 0

#27 traigtmientay

traigtmientay

    biết vẽ arc

  • Members
  • PipPip
  • 48 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 October 2012 - 10:13 PM

e like trong bai này nhiều quá hết quyền rồi . bác . :lol:
  • 0

#28 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 25 October 2012 - 10:15 PM

Lại ví dụ tiếp nè (màu xanh là cái cần sửa):
1). Tạo style thứ nhất:
(defun c:TaoC1()
(command "style" "VnArial NarrowH" ".VnArial NarrowH" "" "" "" "" "")
(princ))
2). Tạo style thứ hai:
(defun c:TaoC2()
(command "style" "VnArial NarrowH" ".VnArial NarrowH" "" "" "" "" "") ;sua dong nay
(princ))
3). Tạo style thứ ba:
(defun c:TaoC3()
(command "style" "VnArial NarrowH" ".VnArial NarrowH" "" "" "" "" "") ;sua dong nay
(princ))
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#29 traigtmientay

traigtmientay

    biết vẽ arc

  • Members
  • PipPip
  • 48 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 October 2012 - 10:36 PM

e có làm như bác rồi chắc e thiếu dấu ngoặc hay thừ nên ko dc, như thế này đã ok chưa bác nhỉ :

(defun c:TaoC1()
(command "style" "VnArial NarrowH" ".VnArial NarrowH" "" "" "" "" "")
(princ))
(defun c:TaoC2()
(command "style" "VNTMIEH-SHX" "vntmeh.shx" "" "" "" "" "") ;sua dong nay
(princ))
(defun c:TaoC3()
(command "style" "VNTIMEH" ".VNTMEH" "" "" "" "" "") ;sua dong nay
(princ))

  • 0

#30 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 25 October 2012 - 10:50 PM

Lệnh 3: thiếu chữ I
Lệnh 2: không có font "vntmeh.shx" nên lỗi
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#31 traigtmientay

traigtmientay

    biết vẽ arc

  • Members
  • PipPip
  • 48 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 October 2012 - 11:16 PM

thi ra là vậy để e viết lại . e đang có ý định biên tập 1 bộ font shx trên cad font unicode chỉ viết hoa nhưng ko biết cách làm , bác có tài liệu hướng dẫn , hay có bộ font unicode nào chỉ có chữ hoa ko cho em với , e chỉ dùng font thuần túy ko dùng big font
  • 0

#32 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 26 October 2012 - 06:56 AM

TCVN3 mới phân ra font hoa và font thường. Unicode thì chưa nghe nói, chỉ cần dùng cap lock khi đánh.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#33 traigtmientay

traigtmientay

    biết vẽ arc

  • Members
  • PipPip
  • 48 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 October 2012 - 08:28 AM

có một số thứ trong cad ko tham gia vào đánh van bản dc mà nó tự động chạy ra do chương trình , nó cập nhật liên tục , vậy bác cho e xin cái hướng dẫn làm font cad hoặc hướng dẫn hộ e tí , e tự làm .
  • 0

#34 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 26 October 2012 - 08:34 AM

Bạn muốn hướng dẫn cái gì? Ví dụ?
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#35 traigtmientay

traigtmientay

    biết vẽ arc

  • Members
  • PipPip
  • 48 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 October 2012 - 09:13 AM

EM MUỐN BÁC HƯỚNG DẪN EM CHỈNH SỬA FONT SHX . E CÓ 1 BỘ FONT UNICODE SHX E THẤY LÀ PHÙ HỢP VỚI NHU CẦU CỦA E , E MUON LOẠI BỎ KÝ TỤ LÀ CHỮ THƯỜNG TRONG BỘ ĐÓ CHỈ BỎ LẠI CHỮ HOA THÔI .
http://www.cadviet.c..._viet_buddy.rar
  • 0

#36 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 26 October 2012 - 09:23 AM

Cái này thì tôi chịu. Tôi chỉ biết sơ sơ về nguyên lý tạo font nhưng chưa hề nghiên cứu chi tiết về nó. SRR.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#37 traigtmientay

traigtmientay

    biết vẽ arc

  • Members
  • PipPip
  • 48 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 October 2012 - 10:18 AM

a giúp e 1 đoạn lisp về đo khoảng cách dán vào block att dc ko thay vì dim và ed ( e đã có text att trong block ) . cái líp style e đã tự làm dc .
  • 0

#38 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 26 October 2012 - 10:30 AM

@chủ topic : Bạn thêm yêu cầu kiểu mì ăn liền nữa ket sẽ close topic nhé :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#39 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 26 October 2012 - 10:31 AM

Search xem có chưa. Nếu chưa có thì mở topic mới, diễn tả chi tiết hơn, gởi bản vẽ lên. Chứ ghém vào đây là nó loãng.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#40 traigtmientay

traigtmientay

    biết vẽ arc

  • Members
  • PipPip
  • 48 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 October 2012 - 10:41 AM

vâng . e hiểu
  • 0